# 3DS Sample App - iOS
This app demonstrates how to use mSIGNIA's `uSDK` to create transactions.

## Prerequisites

* A license key received from your mSIGNIA contact
* Xcode 12.4 or newer
* Ruby 2.6.3 or newer
* [Bundler](https://bundler.io/)


## How do I get set up?

1. Extract the sample app source code into a directory on your workstation (henceforth refrrred to as the "project directory");
2. Open the README.md file and begin reading it (also: congratulations! If you're reading this, you've already succeeded at the steps thus far. Here's a cookie: 🍪)
3. Download both Device and Simulator versions of uSDK from (https://docs.msignia.com/) and save them to the project directory;
4. Open a terminal in the project directory and run the following commands:
```bash
mkdir -p ./uSDK-Simulator ./uSDK-Device
tar zxvf uSDK-ios-for-simulator*.tar.gz -C ./uSDK-Simulator
tar zxvf uSDK-ios-for-device*.tar.gz -C ./uSDK-Device
```
5. Make sure you have the required ruby dependencies by running `bundle install` -- if you don't have a `bundle` command, install it from [bundler.io](https://bundler.io);
6. Open Xcode and enter your license key in the `LICENSE_KEY` user defined variable in Xcode’s `Build Settings`.


## Building

The sample app can be built to run either in a simulator or on a physical device.

### Building for the simulator

1. Run these commands in a terminal window in the project directory:
```bash
cp Podfile.simulator Podfile
bundle exec pod repo update
bundle exec pod install
```
2. After installing the pods, in the upper left corner of Xcode, press the run or play button.


### Building for a physical device

1. Run these commands in a terminal window in the project directory:
```
cp Podfile.device Podfile
bundle exec pod repo update
bundle exec pod install
```
2. After installing the pods, in the upper left corner of Xcode, press the run or play button.

## Configuration

You probably won't need to change these, but just in case:

1. To change the URL that the app points to, modify the `BASE_URL` user defined variable in Xcode’s `Build Settings`.
2. Optionally, you can clean (cmd+shift+k) or "super clean" (cmd+option+shift+k) the project after doing steps 1 & 2 so that your changes are sure to take affect.


## Usage
Once the app is open, allow location services, then press the `Create Transaction` button.


## Contact
[mSIGNIA](mailto:support@msignia.com)
