//
//  PurchaseInformation.swift
//  ThreeDS-Sample
//
//  Created by Drew Pitchford on 6/5/20.
//  Copyright © 2020 mSignia. All rights reserved.
//

import Foundation
import uSDK

class PurchaseInformation: Codable {
    // MARK: - Properties
    var email: String
    var cardID: String
    var purchaseAmount: String
    var purchaseCurrency: String
    var purchaseExponent: String
    var purchaseDate: String
    
    // MARK: - Inits
    init(email: String, cardID: String, purchaseAmount: String, purchaseCurrency: String, purchaseExponent: String, purchaseDate: String) {
        self.email = email
        self.cardID = cardID
        self.purchaseAmount = purchaseAmount
        self.purchaseCurrency = purchaseCurrency
        self.purchaseExponent = purchaseExponent
        self.purchaseDate = purchaseDate
    }
}

// MARK: - UPurchaseInfo methods
extension PurchaseInformation: UPurchaseInfo {
    func toJson() -> [String : Any] {
        var dict: [String: Any] = [:]
        dict["email"] = email
        dict["cardID"] = cardID
        dict["purchaseAmount"] = purchaseAmount
        dict["purchaseCurrency"] = purchaseCurrency
        dict["purchaseExponent"] = purchaseExponent
        dict["purchaseDate"] = purchaseDate
        
        return dict
    }
}
