//
//  WebService+Auth.swift
//  ThreeDS-Sample
//
//  Created by Drew Pitchford on 3/29/21.
//  Copyright © 2021 mSignia. All rights reserved.
//

import Foundation

extension WebService {
    func authenticate(with areq: AReq, completion: @escaping (_: AuthenticationResponse?, _: Error?) -> Void) {
        let encodedData = JsonUtil.encode(areq)
        msPost(WebPaths.auth, params: encodedData.data) { (data, response, error) in
            let decodedResponse = JsonUtil.decode(AuthenticationResponse.self, from: data)
            completion(decodedResponse.response, error ?? decodedResponse.error)
        }
    }
}
