//
//  WebService+SupportedVersions.swift
//  ThreeDS-Sample
//
//  Created by Drew Pitchford on 3/29/21.
//  Copyright © 2021 mSignia. All rights reserved.
//

import Foundation

extension WebService {
    func retrieveSupportedVersions(with params: SupportedVersionsRequest, completion: @escaping (_: SupportedVersionsResponse?, _: Error?) -> Void) {
        let request = JsonUtil.encode(params)
        msPost(WebPaths.supportedVersions, params: request.data) { (data, response, error) in
            let decodedResponse = JsonUtil.decode(SupportedVersionsResponse.self, from: data)
            completion(decodedResponse.response, error ?? decodedResponse.error)
        }
    }
}
