//
//  AppInfoDetailable.swift
//  ThreeDS-Sample
//
//  Created by Drew Pitchford on 10/26/20.
//  Copyright © 2020 mSignia. All rights reserved.
//

import Foundation

protocol AppInfoDetailable {}

extension AppInfoDetailable {
    
    func fetchUSDKVersion() -> String? {
        do {
            if let path = Bundle.main.path(forResource:"Podfile", ofType: "lock") {
                let data = try String(contentsOfFile: path, encoding: .utf8)
                let lockFileData = data.components(separatedBy: "\n")
                var version = lockFileData[4].replacingOccurrences(of: "\"", with: "").replacingOccurrences(of: "(", with: "").replacingOccurrences(of: "=", with: "").replacingOccurrences(of: ")", with: "").trimmingCharacters(in: .whitespacesAndNewlines)
                version.removeFirst()
                return version.components(separatedBy: .whitespaces).last
            }
        }
        catch  {
            return nil
        }
        
        return nil
    }
    
    func fetchAppVersion() -> String? {
        do {
            if let path = Bundle.main.path(forResource:"version", ofType: "txt") {
                let data = try String(contentsOfFile: path, encoding: .utf8)
                let lockFileData = data.components(separatedBy: "\n")
                return lockFileData.first
            }
        }
        catch  {
            return nil
        }
        
        return nil
    }
}
