//
//  SimplifiedInterfaceTask.swift
//  ThreeDS-Sample
//
//  Created by Drew Pitchford on 6/30/21.
//  Copyright © 2021 mSignia. All rights reserved.
//

import Foundation
import uSDK

class SimplifiedInterfaceTask {
    
    // MARK: - Properties
    private var accountNumber: String
    private var purchaseInfo: PurchaseInformation
    private var delegate: UAuthenticationDelegate
    private var viewController: UIViewController
    
    // MARK: - Init
    init(viewController: UIViewController, delegate: UAuthenticationDelegate, purchaseInfo: PurchaseInformation, accountNumber: String) {
        self.viewController = viewController
        self.delegate = delegate
        self.purchaseInfo = purchaseInfo
        self.accountNumber = accountNumber
    }
    
    // MARK: - uSDK API
    func authenticateUser() {
        let authSpec = UAuthenticationSpec(cardId: accountNumber, purchaseInfo: purchaseInfo, isPaymentAuthentication: true, supportedVersionsURL: "\(WebService.shared.baseURL)\(WebPaths.supportedVersions)", authURL: "\(WebService.shared.baseURL)\(WebPaths.auth)", authorizationHeaders: WebService.shared.headers)
        UThreeDS2ServiceImpl.shared().authenticate(spec: authSpec, delegate: delegate, currentViewController: viewController)
    }
}
